


















      INTEGER      MAXOPT, MAXMEN, MENNOW
      PARAMETER    (MAXMEN=128)
      PARAMETER    (MAXOPT=128)

      INTEGER      MENSTAT(MAXMEN)
      CHARACTER*3  MEN3COD(MAXMEN), MEN3COM(MAXMEN)
      CHARACTER*6  OPTION(MAXOPT), MEN6COD(MAXMEN), MENCHAP(MAXMEN)
      CHARACTER*8  MEN8COD(MAXMEN)
      LOGICAL      MENMORE(MAXMEN), MENUSED(MAXMEN), IAMDUMB
      
      COMMON       /OPTION1/
     +             OPTION

      COMMON       /MEN1MEN/
     +             MENSTAT, MENNOW

      COMMON       /MEN2MEN/
     +             MENMORE, MENUSED, IAMDUMB

      COMMON       /MEN3MEN/
     +             MEN3COD

      COMMON       /MEN4MEN/
     +             MEN3COM

      COMMON       /MEN6MEN/
     +             MEN6COD

      COMMON       /MEN7MEN/
     +             MENCHAP

      COMMON       /MEN8MEN/
     +             MEN8COD
